##
##  msitools.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2019 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         msitools
Summary:      Microsoft Installer (MSI) Tools
URL:          https://wiki.gnome.org/msitools
Vendor:       GNOME
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Filesystem
License:      GPL/LGPL
Version:      0.99
Release:      20190215

#   list of sources
Source0:      http://ftp.gnome.org/pub/GNOME/sources/msitools/%{version}/msitools-%{version}.tar.xz
Patch0:       msitools.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, autoconf, perl
PreReq:       OpenPKG, openpkg >= 20160101
BuildPreReq:  libuuid, glib, gcab
PreReq:       libuuid, glib, gcab

%description
    MSITools is a set of programs to inspect and build Windows Installer
    (.MSI) files. It is based on libmsi, a portable library to read and
    write .MSI files. libmsi in turn is a port of (and a subset of)
    Wine's implementation of the Windows Installer.

%track
    prog msitools = {
        version   = %{version}
        url       = http://ftp.gnome.org/pub/GNOME/sources/msitools/
        regex     = ([01]\.\d\d)/
    }

%prep
    %setup -q
    %patch -p0

%build
    autoconf
    AUTOMAKE="true" \
    AUTOCONF="true" \
    ACLOCAL="true" \
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags e2fs .}" \
    LDFLAGS="%{l_ldflags e2fs .}" \
    ./configure \
        --prefix=%{l_prefix} \
        --disable-shared \
        --disable-nls
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    rm -rf $RPM_BUILD_ROOT%{l_prefix}/share/locale
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

